Subject: Re: [ANNOUNCE] Stacked Git 0.15-rc1

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Mon, 13 Jul 2009 22:50:17 +0530

On Mon, Jul 13, 2009 at 06:07:06PM +0100, Catalin Marinas wrote:
> 2009/7/13 Aneesh Kumar K.V <[email-masked]>:
> > On Sun, Jul 12, 2009 at 11:40:05PM +0100, Catalin Marinas wrote:
> >> The first release candidate for StGit 0.15 is available from the
> >> git://repo.or.cz/stgit.git or http://download.gna.org/stgit/. Bugs can
> >> be reported on the Git mailing list or via the project bugs page
> >> (https://gna.org/bugs/?group=stgit).
> >>
> >> StGit is a Python application providing similar functionality to Quilt
> >> (i.e. pushing/popping patches to/from a stack) on top of Git. These
> >> operations are performed using Git commands and the patches are stored
> >> as Git commit objects, allowing easy merging of the StGit patches into
> >> other repositories using standard Git functionality.
> >>
> >> The main changes since release 0.14.3 (I may miss some important
> >> features but they can be found in the log):
> >
> >
> > stg show now gives me output like below
> >
> > ESC[1mdiff --git a/fs/nfs/nfs4acl.c b/fs/nfs/nfs4acl.cESC[m
> > ESC[1mindex 09946da..c9a6dee 100644ESC[m
> > ESC[1m--- a/fs/nfs/nfs4acl.cESC[m
> > ESC[1m+++ b/fs/nfs/nfs4acl.cESC[m
> > ESC[36m@@ -37,6 +37,7 @@ESC[m
> 
> It works fine for me. Do you have a pager for StGit configured in .gitconfig?
> 

No

> StGit now uses the default output from git (with colours)
> 
> > I guess it is due to coloring enabled in git. I have in git
> >
> > $ git config --get  "color.ui"
> 
> What does "git config color.diff" say?
> 

I don't have that config set.

I am on ubuntu jaunty. Do you think it could be a pager bug ?

-aneesh